/*
 *  maths_base.h
 *  ecosstat_project
 *
 *  Created by Karim Benabed on 23/06/09.
 *  Copyright 2009 Institut d'Astrophysique de Paris. All rights reserved.
 *
 */

#ifndef __MATHS_BASE_H
#define __MATHS_BASE_H

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <gsl/gsl_vector.h>
#include <gsl/gsl_vector_int.h>
#include <gsl/gsl_matrix.h>
#include <gsl/gsl_linalg.h>
#include <gsl/gsl_blas.h>

#ifdef __PLANCK__
#include "HL2_likely/tools/errorlist.h"
#include "HL2_likely/tools/io.h"
#else
#include "errorlist.h"
#include "io.h"
#endif

typedef double my_complex[2];

/* Mathematical constants */
#define pi     3.14159265358979323846
#define pi_sqr 9.86960440108935861883
#define twopi  6.28318530717958647693
#define ln2    0.69314718
#define ln2pi  1.837877066409
#define arcmin 2.90888208665721580e-4
#define arcsec 4.84813681e-6

/* Confidence levels, = erf({1,2,3}/sqrt(2)) */
#define conf_68 0.6827
#define conf_95 0.9545
#define conf_99 0.9973

/* Small numbers */
#define epsilon  1.0e-5
#define epsilon2 1.0e-18

#endif

